Uploaded image for project: 'Qt Mobility'
  1. Qt Mobility
  2. QTMOBILITY-1797

Replace mobility bearer implementation with a shim over QtNetwork

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: P2: Important
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 1.2.x
    • Component/s: Bearer Management
    • Labels:
    • Commits:
      1a91802198ae4954c2c13a813e312649a217e867

      Description

      Software built against Qt 4.6 and Qt Mobility bearer still uses the deprecated mobility bearer even when Qt on the device is 4.7 or 4.8.
      There have been many bugs fixed in the bearer implementation since it was integrated into QtNetwork that are not fixed in the deprecated mobility version.
      This results in low quality bug reports against QtNetwork, and difficulty in maintaining backward compatibility.

      Replacing QtBearer with a shim DLL will allow binary compatiblity with applications linked against Qt 4.6 and QtBearer, while using the actively maintained QtNetwork implementation.

      Anyone rebuilding their application against 4.7 or 4.8 is still recommended to migrate via the source compatibility route, as using the new APIs directly has less overhead than going via a shim.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            shkearns Shane Kearns
            Reporter:
            shkearns Shane Kearns
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes